% Performing the linear search algorithm.

function alpha = lin_search(f1,u11,u12,d11,d12,g11,g12,rho1, f2,u21,u22,d21,d22,g21,g22,rho2,kt)

[a,b, m, h, x, y, N, t, dt,nu] = parameters(kt);

% Starting value of alpha.
alpha = 0.5;

delta = 0.001 ;

s = 1;
s_max = 10;

while( s < s_max)
    fn1 = fok_pl_adi(u11+alpha*d11, u12+alpha*d12,rho1,kt);
    fn2 = fok_pl_adi_2(u21+alpha*d21, u22+alpha*d22,rho2,kt);
    
    c1 = J(fn1,fn2,u11 + alpha*d11,u12+alpha*d12,u21 + alpha*d21,u22+alpha*d22,kt);
    c2 = J(f1,f2,u11,u12,u21, u22,kt) + delta*alpha*(inner_g(g11,g12,d11,d12)+inner_g(g21,g22,d21,d22));
    
    % Checking for Armijo criterion.
    if(c1 <= c2 )
        return; 
    else
        alpha=alpha/2;
    end
    s = s + 1;
end
if(s == s_max)
    alpha = 0;
end
