function [a,  b, m, h, x, y, Nt, t, dt, nu, eta, rho,scale] = parameters(kt)

%initial and final positions + speed for 
% players (1) and (2)
global pi1 pf1 s1
global pi2 pf2 s2

% GaitnPosture

T=1.;

a(1) = -10; 
b(1) = -10;

a(2)= +10;
b(2)= +10;

pi1(1)= -7.5; pi1(2)= -7.5;
pf1(1)= 7.5; pf1(2)= 7.5;
s1 =(pf1-pi1)/T;


pi2(1)= -7.5; pi2(2)= 7.5;
pf2(1)= 7.5; pf2(2)= -7.5;
s2 =(pf2-pi2)/T;

scale=10;
a=a/scale;b=b/scale;
pi1=pi1/scale;pf1=pf1/scale;
pi2=pi2/scale;pf2=pf2/scale;
s1=s1/scale;s2=s2/scale;


% Number of subintervals
m = 50;

% Generating mesh
x = linspace(a(1),a(2),m+1);
y = linspace(b(1),b(2),m+1);

% Mesh size 
h = x(2)-x(1);

% Number of time steps in a time window.
Nt = 51;

% Time grid of a time window
t = linspace(0,T,Nt);

% Time stepping.
dt = t(2)-t(1);

% Actual time grid of the simulation.
t = t+(kt-1)*T;

% Value of control parameter nu.
nu = 1;

eta = 1.0;

rho = 200;